function Y=dyf(emp,F,name,D_X,ds,t)
% input parameters: D_X the adjacent matrix 
% output alignment result
% UGM 

[m n]=size(emp);
edgeStruct=UGM_makeEdgeStruct(D_X,m);


localEv=emp';
edgePot=zeros(m,m,edgeStruct.nEdges);
for e=1:edgeStruct.nEdges    
     edgePot(:,:,e)=F{e};
 end

if(t==0)
    belBP= UGM_Decode_Chain(localEv,edgePot,edgeStruct);
elseif(t==1)
    belBP= UGM_Decode_Tree(localEv,edgePot,edgeStruct);
else
    belBP= UGM_Decode_LBP(localEv,edgePot,edgeStruct);
end

d_name=length(name);
for i=1:n
    if belBP(i)<=d_name; Y{i}=name{belBP(i)};else Y{i}='gap';end
end

