function testbfstxt(A,str)
% use the breadth first search algorithm to compute the distance matrix and 
% then write it to a file with name defined by the parameter 'str' for
% adjacency matrix 'A', with the distance of reachable nodes >=0,
% otherwise, is -1;
% Note 1: This is suitable to the large matrix A
% Note 2: need the toolbox: MatlabBGL

A=sparse(A);
fid=fopen(str,'w');
[m n]=size(A);
for i=1:m
    d=bfs(A,i);
    d(i,1)=A(i,i);
    fprintf(fid,'%d ',d);
    fprintf(fid,'\n');
end
fclose(fid);